=== aws-sdk-cpp/aws-cpp-sdk-amplify/CMakeLists.txt ===
add_project(aws-cpp-sdk-amplify "C++ SDK for the AWS amplify service" aws-cpp-sdk-core)

file(GLOB AWS_AMPLIFY_HEADERS
    "include/aws/amplify/*.h"
)

file(GLOB AWS_AMPLIFY_MODEL_HEADERS
    "include/aws/amplify/model/*.h"
)

file(GLOB AWS_AMPLIFY_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_AMPLIFY_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB AMPLIFY_UNIFIED_HEADERS
    ${AWS_AMPLIFY_HEADERS}
    ${AWS_AMPLIFY_MODEL_HEADERS}
)

file(GLOB AMPLIFY_UNITY_SRC
    ${AWS_AMPLIFY_SOURCE}
    ${AWS_AMPLIFY_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("AMPLIFY" AMPLIFY_UNITY_SRC)
endif()

file(GLOB AMPLIFY_SRC
    ${AMPLIFY_UNIFIED_HEADERS}
    ${AMPLIFY_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\amplify" FILES ${AWS_AMPLIFY_HEADERS})
        source_group("Header Files\\aws\\amplify\\model" FILES ${AWS_AMPLIFY_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_AMPLIFY_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_AMPLIFY_MODEL_SOURCE})
    endif(MSVC)
endif()

set(AMPLIFY_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${LIBTYPE} ${AMPLIFY_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_AMPLIFY_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_AMPLIFY_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/amplify)
install (FILES ${AWS_AMPLIFY_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/amplify/model)

do_packaging()
