=== debian/changelog ===
percona-server-mongodb-36 (3.6.19-7.0) unstable; urgency=medium

  * Update to new Percona Server for MongoDB version 3.6.19

 -- ubuntu-cloud-user <evgeniy.Patlan@percona.com>  Tue, 11 Aug 2020 16:36:05 -0400
